%if 0%{?el7}
%define dist .el7
%endif

Name:		base
Version:	1.4.5
Release:	7%{?dist}
Summary:	BASE - Basic Analysis and Security Engine

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group:		Applications/Internet
License:	GPLv2
URL:		http://base.professionallyevil.com/
Source0:	http://sourceforge.net/projects/secureideas/files/BASE/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:	Base.conf
Patch0:		base_maintenance.pl.patch
Patch1:     0001-Fix-for-php7.patch

BuildArch:	noarch

Requires:	php, php-pear, php-adodb
Requires:	php-pear-Image-Color, php-pear-Image-Canvas, php-pear-Image-Graph
Requires:	php-pear-Numbers-Roman, php-pear-Mail, php-pear-Mail-Mime
Requires:	httpd

%description
BASE is the Basic Analysis and Security Engine.  It is based on the code
from the Analysis Console for Intrusion Databases (ACID) project.  This
application provides a web front-end to query and analyze the alerts
coming from a SNORT IDS system.

BASE is a web interface to perform analysis of intrusions that SNORT
has detected on your network.  It uses a user authentication and
role-based system, so that you as the security admin can decide
which and how much information each user can see.  It also has a
simple to use, web-based setup program for people who feel not
comfortable with editing files directly.

BASE is supported by a group of volunteers.  They are available to answer
any questions you may have or help you out in setting up your system.
They are also skilled in intrusion detection systems and make use of
that knowledge in the development of BASE. You can contact them
through the website http://secureideas.sourceforge.net/ or by
emailing them at base@secureideas.net

%package contrib
Summary:	BASE contrib: Additional perl scripts for importing snort unified log files
Group:		Applications/Internet
License:	GPLv2
BuildArch:	noarch
%description contrib
This perl module makes the handling of snort unified log files (version 1)
easy.  It reads in snort unified log files and offers different output
possibilities:
        - csv file
        - syslog
        - xml file
        - mysql database

%prep
%setup -q
%patch0 -p0
%patch1 -p1

mkdir -p license
mv -f docs/GPL license/

%install
%{__rm} -rf %{buildroot}

%{__mkdir} -p %{buildroot}%{_sysconfdir}/%{name}

sed -i "s,\$BASE_urlpath = '',\$BASE_urlpath = '/base'," base_conf.php.dist
sed -i "s,\$DBlib_path = '',\$DBlib_path = '/usr/share/php/adodb'," base_conf.php.dist
sed -i "s,\$BASE_path = dirname(__FILE__),\$BASE_path = '%{_datadir}/base';," base_conf.php.dist
%{__mv} base_conf.php.dist %{buildroot}%{_sysconfdir}/%{name}/db.php
%{__rm} -f base_conf.php.dist
%{__install} -d -m0755 %{buildroot}%{_datadir}/%{name}
%{__install} -m0644 *.php %{buildroot}%{_datadir}/%{name}
%{__install} -D -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/base.conf
ln -s %{_sysconfdir}/%{name}/db.php %{buildroot}%{_datadir}/%{name}/base_conf.php
%{__cp} -a contrib/ admin/ help/ images/ includes/ languages/ setup/ styles/ %{buildroot}%{_datadir}/%{name}/

%{__install} -D -m0644 world_map6.txt %{buildroot}%{_datadir}/pear/Image/Graph/Images/Maps/world_map6.txt
%{__install} -D -m0644 world_map6.png %{buildroot}%{_datadir}/pear/Image/Graph/Images/Maps/world_map6.png


%files
%defattr(0644,apache,apache)
%doc docs/* sql
%{!?_licensedir:%global license %%doc}
%license license/GPL
%config(noreplace) %{_sysconfdir}/%{name}/db.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/base.conf
%{_datadir}/pear/Image/Graph/Images/Maps/world_map*
%{_datadir}/%{name}/*.php
%{_datadir}/%{name}/admin/
%{_datadir}/%{name}/help/
%{_datadir}/%{name}/images/
%{_datadir}/%{name}/includes/
%{_datadir}/%{name}/languages/
%{_datadir}/%{name}/setup/
%{_datadir}/%{name}/styles/

%files contrib
%defattr(0644,apache,apache)
%{_datadir}/%{name}/contrib/

%changelog
* Mon Dec 05 2016 momo-i <webmaster@momo-i.org> - 1.4.5-7
- Fix for php7

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.4.5-6
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.4.5-5
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 1.4.5-4
- Rebuilt for fc22

* Mon Feb 17 2014 momo-i <webmaster@momo-i.org> - 1.4.5-2
- Update to URL

* Mon Mar  4 2013 momo-i <webmaster@momo-i.org> 1.4.5-1
- Initial rpm release.
